# 22. Virtuoso Functions Guide - vt_is_noise

Chapter Contents | Prev | Next
Keyword Search:
www.openlinksw.com
docs.openlinksw.com
Book Home
Contents
Preface
Virtuoso Functions Guide
Administration
Aggregate Functions
Array Manipulation
BPEL APIs
Backup
Compression
Cursor
Date & Time Manipulation
Debug
Dictionary Manipulation
Encoding & Decoding
File Manipulation
Free Text
vt_batch_update
vt_drop_ftt
composite
composite_ref
contains
vt_batch
vt_batch_d_id
vt_batch_feed
vt_batch_feed_offban...
vt_create_text_index
vt_is_noise
Hashing / Cryptographic
LDAP
Locale
Mail
Miscellaneous
Number
Remote SQL Data Source
Replication
SOAP
SQL
String
Transaction
Type Mapping
UDDI
User Defined Types & The CLR
Virtuoso Java PL API
Virtuoso Server Extension Interface (VSEI)
Web Server & Internet
XML
XPATH & XQUERY
Functions Index

## vt_is_noise

determines whether input is a noise word
vt_is_noise (in word varchar, in encoding varchar, in language varchar);
Parameters
word – Narrow string of the word to be checked
encoding – valid encoding string
language – valid language string
Return Values

1 or 0. This function will return 1 if the encoded word in the specified language is considered a noise word, or 0 if not.

Examples
Determining if a word is a Noise Word

    select vt_is_noise ('a', 'UTF-8', 'X-ANY');

will return 1

    select vt_is_noise ('effective', 'UTF-8', 'X-ANY');

will return 0

Description

See Also